Subject: Re: date-sensitive signature file

From: Sven Guckes <[email-masked]>
Date: 5 Mar 1996 21:51:03 GMT

[email-masked] (Paul Robinson) writes:
>> I mean, can I put a date in my signature file, and make it change 
>> according to the actual date of the message to be sent?
> If you're on a Unix system, create a file to contain your actual signature
> file, with a different name than ".signature".  I'll use ".original-signature"
> for lack of a better name.Put the following three lines into your .login file:
> 	# Put today's date in all messages sent
> 	date "+This Message was sent %A, %B %e, %Y%n" >.signature
> 	cat .original-signature >>.signature

And what happens if you continue to be logged in past midnight? Wrong date! :-(

Personally I'd include the date with an editor command.
With vi this is as easy as ":r!date".
This can easily be mapped to ",," with ":map ,, :r!date
".

But why bother?  The date is in the "Date:" header line, anyway!

Sven

-- 
Sven Guckes  [email-masked]
http://www.math.fu-berlin.de/~guckes/mail/signature.etiquette.html